# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Codes de bloc :
#  0 : vide
#  1 : changement de niveau spécial (escalier,...)
#  2 : changement de niveau
#  3 : pont (trou + vide)
#  4 : trou
#  6 : terre
#  7 : décor bloquant
#  8 : mur
# 

# Type :
# -1 : non accessible
#  0 : intérieur
#  1 : extérieur

import os
import arkanae3.globdef

class Room(object):
  sprite_color = None
  def __init__(self, blocs, type = 1):
    self.type        = type
    self.atmosphere  = 1
    self.Discussions = {}
    self.blocs = [
      [blocs[54], blocs[45], blocs[36], blocs[27], blocs[18], blocs[ 9], blocs[ 0]],
      [blocs[55], blocs[46], blocs[37], blocs[28], blocs[19], blocs[10], blocs[ 1]],
      [blocs[56], blocs[47], blocs[38], blocs[29], blocs[20], blocs[11], blocs[ 2]],
      [blocs[57], blocs[48], blocs[39], blocs[30], blocs[21], blocs[12], blocs[ 3]],
      [blocs[58], blocs[49], blocs[40], blocs[31], blocs[22], blocs[13], blocs[ 4]],
      [blocs[59], blocs[50], blocs[41], blocs[32], blocs[23], blocs[14], blocs[ 5]],
      [blocs[60], blocs[51], blocs[42], blocs[33], blocs[24], blocs[15], blocs[ 6]],
      [blocs[61], blocs[52], blocs[43], blocs[34], blocs[25], blocs[16], blocs[ 7]],
      [blocs[62], blocs[53], blocs[44], blocs[35], blocs[26], blocs[17], blocs[ 8]],
     ]
    
    self.y_offset = 0.0
    
  def get_shot_filename(self): return os.path.join(arkanae3.globdef.APPDIR, "room_shots", "room_%s_%s.jpeg" % (self.I, self.J))
  
  def do_script(self, hero, script, name):
    Discussion = self.Discussions.get("Discussion")
    if Discussion and hasattr(Discussion, "discu_bloc_%s_%s" % (script, name)):
      Discussion(hero).set_discu("bloc_%s_%s" % (script, name))
      

    
#   def HACK_ij2xy(self, i, j):
#     cx =  i - 3.5 # c : camera
#     cy =  0.65850466490199988 * (j - 3.5) + 0.368762552738
#     cz = -0.75257682799999959 * (j - 3.5) - 7.11843490601
    
#     k = 0.57735026918962573 # tan(camera.fov / 180.0 * pi / 2.0)
    
#     x = (-cx / ((640.0 / 480.0) * 2.0 * k * cz) + 0.5) * 640.0
#     y = ( cy / (                  2.0 * k * cz) + 0.5) * 480.0
#     return int(x), int(y)



    
#   def HACK_ij2xy(self, i, j):
#     cx =  i - 3.5 # c : camera
#     cy =  0.65850466490199988 * (j - 3.5) + 0.368762552738
#     cz = -0.75257682799999959 * (j - 3.5) - 7.11843490601
#     cy =  0.65850466490199988 * j - 1.9360037744189995
#     cz = -0.75257682799999959 * j - 4.4844160080100011
    
#     k = 0.57735026918962573 # tan(camera.fov / 180.0 * pi / 2.0)
    
    
#     x = -cx * 415.69219381653062 / cz + 320.0
    
    
#     x = - 415.69219381653062 * cx / cz + 320.0
#     x = - 415.69219381653062 * (i - 3.5) / (-0.75257682799999959 * j - 4.4844160080100011) + 320.0

#     x = 552.35848135431945 * (i - 3.5) / (j + 5.958748450875774) + 320.0


    
#     y =   cy / cz  * 415.69219381653056 + 240.0
    
#     y =   (0.65850466490199988 * (j - 3.5) + 0.368762552738) / (-0.75257682799999959 * (j - 3.5) - 7.11843490601)  * 415.69219381653056 + 240.0
    
#     y =   (0.65850466490199988 * j - 1.9360037744189995) / (-0.75257682799999959 * j - 4.4844160080100011)  * 415.69219381653056 + 240.0
    
#     y =  (-0.87499992080808553 * j + 2.5724998463798046) /  (j + 5.958748450875774)  * 415.69219381653056 + 240.0
    
#     y =  (-363.73063667000361 * j + 1069.3681047343089) /  (j + 5.958748450875774) + 240.0
    
#     #y = -363.73063667000361 - (-1098.0112630591343) / (j + 5.958748450875774) + 240.0
    
#     y =  (-363.73063667000361 * (j + 5.958748450875774) + 363.73063667000361 * 5.958748450875774 + 1069.3681047343089) /  (j + 5.958748450875774) + 240.0
    
#     y =  -123.73063667000361  + 3236.7474725277521 /  (j + 5.958748450875774)




#     #y =   (0.65850466490199988 * j - 1.9360037744189995) / (-0.75257682799999959 * j - 4.4844160080100011)  * 415.69219381653056 + 240.0

#     #y =   (j - 2.940000090518903) / (-1.1428572462914894 * j - 6.809998845911565)  * 415.69219381653056 + 240.0
    
#     return int(x), int(y)

  
    
#     dy = 758.3636363636 * j / (6.8181818181 + j)
#     #return int(320.0 + (i - 2.5) * (148.0 + 103.0 * (1.0 - dy / 325.0)) / 2.5), 444 - int(dy)
#     return int(320.0 + (i - 3.5) * (100.4 - 0.12676923076923077 * dy)), 444 - int(dy)
    

    
#  def ij2xy(self, i, j):
#    return (
#      int(552.35848135431945 * (i - 3.5) / (j + 5.958748450875774) + 320.0),
#      int(-123.73063667000361 + 3236.7474725277521 / (j + 5.958748450875774)),
#      )

#  def xy2ij(self, x, y):
#    j = 3236.7474725277521 / (y + 123.73063667000361) - 5.958748450875774
#    i = (x - 320.0) * (j + 5.958748450875774) / 552.35848135431945 + 3.5
#    return i, j
  
#   def ij2xy(self, i, j):
#     cx =  i - 3.5 # c : camera
#     cy =  0.766044676304 * (j - 2.5) - 0.393222093582
#     cz = -0.642787337303 * (j - 2.5) - 6.45816326141
    
#     k = 0.57735026918962573 # tan(camera.fov / 180.0 * pi / 2.0)
    
#     x = (-cx / ((640.0 / 480.0) * 2.0 * k * cz) + 0.5) * 640.0
#     y = ( cy / (                  2.0 * k * cz) + 0.5) * 480.0
#     return int(x), int(y)
  
  def ij2xy(self, i, j):
    return (
      int(-646.70252460275174 * (3.5 - i) / (j + 7.547122721034131) + 320.0),
      int(5231.6727204915223 / (j + 7.5471227210341301) - 255.40302612429446),
      )
  
  def xy2ij(self, x, y):
    j = 5231.6727204915223 / (y + 255.40302612429446) - 7.5471227210341301
    i = 0.0015463060092648739 * (x - 320.0) * (j + 7.547122721034131) + 3.5
    return i, j
  
  @staticmethod
  def get(I, J):
    globs = {}
    execfile(os.path.join(arkanae3.globdef.APPDIR, "rooms", "room_%s_%s.py" % (I, J)), globs)
    room         = globs["room"]
    room.I       = I
    room.J       = J
    room.build   = globs["build"]
    room.prepare = globs["prepare"]
    
    for obj in globs.values():
      if isinstance(obj, type) and issubclass(obj, arkanae3.base.BaseDiscussion):
        obj.room = room
        room.Discussions[obj.__name__] = obj
    return room
  
