# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  4,  4,  4,  4,  6,  6,  6,  6,
  4,  4,  7,  7,  7, -2, -2,  6,  6,
  4,  4,  4, -2, -2, -2,  0,  0,  6,
  4,  4,  0,  0,  0,  0,  0,  0,  6,
  4,  4,  4,  0,  0,  0,  4,  0,  2,
  4,  6, -1,  0,  0,  0,  4,  4,  4,
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1", "rock_t2", "rock", "sol_sombre", "sol_sombre", "sol_sombre")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "sol_sombre", "sol_sombre", "sol_sombre")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("barque_casse"))
  b.set_xyz(0.0, 0.0, -2.0)

def prepare(level):
  pass

import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    if self.hero.spcs.chapitre == 0:
      self.set_text(_(u"""    Arkanae III - Chapitre 1 : le rescapé
Lorsque vous vous réveillez, vous êtes allongé, au bord du rivage. Vous ne vous rappelez que d'une seule chose. La Catastrophe."""))
      self.add_option(_(u"Suite (appuyez sur shift ou cliquez ici)"))
      
  def discu_bloc_1_enter2(self):
    self.set_text(_(u"""Une tempête terrible, puis la vague gigantesque... et plus rien. Rien avant ni rien après. Le trou noir."""))
    self.add_option(_(u"Suite (appuyez encore sur shift ou cliquez ici)"))
    
  def discu_bloc_1_enter3(self):
    self.set_text(_(u"""Utilisez les touches de direction pour vous déplacer, ou cliquer à l'endroit voulu avec la souris. Il y a un passage sur la droite."""))
    self.hero.spcs.chapitre = 1
    if arkanae3.base.UNIVERSE_DATA.states.chapitre < 1:
      arkanae3.base.UNIVERSE_DATA.states.chapitre = 1
      
  def discu_bloc_2_enter(self):
    self.set_text(_(u"""Une petite embarcation a été fracassée par la tempête. Peut-être était-ce la vôtre... ? Impossible de vous en souvenir."""))
    
#room.script_1_enter = Discussion.to_script(once = 1)
#room.script_2_enter = Discussion.to_script("barque")
