# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  4,  4,  2,  4,  4,  4,  4,  4,
  4,  4,  4,  0,  4,  4,  4,  4,  4,
  4,  4,  4,  0,  4,  4,  4,  4,  4,
  4,  4, -1,  0,  0,  4,  4,  4,  4,
  4,  4,  4,  0,  4,  4,  4,  4,  4,
  4,  4,  4,  4,  4,  6,  6,  6,  4,
  4,  4,  4,  4,  4,  6,  6,  6,  6,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("barque"))
  b.set_xyz(-3.1, -1.0, 0.3)
  b.rotate_incline(10.0)
  b.rotate_vertical(-20.0)
  b.rotate_lateral(-10.0)
  
def prepare(level):
  pass

import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    self.set_text(_(u"""Ce petit bateau semble avoir miraculeusement survécu à la catastrophe."""))
    self.add_option(_(u"Monter dans le bateau"), "1")
    self.add_option(_(u"Rester à terre"), "3")
    self.hero.spcs.barque_intacte_decouverte = 1
    
  def discu_1(self):
    self.set_text(_(u"""Vous montez dans la barque. Avant même d'avoir largué les amarres, le bateau tangue et un terrible mal de mer vous assaille."""))
    self.add_option(_(u"Suite"))
    
  def discu_2(self):
    self.set_text(_(u"""Vous retournez sur les rochers. Avant de perdre la mémoire, vous n'étiez sûrement pas un simple pêcheur..."""))
    
  def discu_3(self):
    self.set_text(u"")

