# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  2,  2,  2,  4,  4,  6,
  6,  6,  4,  4,  0,  0,  4,  4,  6,
  6,  4,  4,  4,  0,  0,  0,  4,  6,
  2,  0,  0,  0,  0,  0,  0,  4,  6,
  2,  0,  0,  0,  0,  0,  0,  4,  6,
  2,  0,  0,  0,  0,  0,  0,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  ],
  )


room.visible_rooms = [(0, 1), (1, 1), (-1, 0), (0, 0), (0, -1)]


#room.y_offset = -4.0
room.atmosphere = 7

def build(room_builder):
  room_builder.build_water("eau_bleu")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "algue_t1_t2", "algue_t2_t2", "algue", "algue_t1", "algue_t2", "algue")
  room_builder.build_terrain(["grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_4"], "grass_t1_t2", "grass_t2_t2", "sol_bis", "grass4_t1", "grass4_t2", "grass4")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("chute_deau"))
  b.set_xyz(4.0, 3.0, -3.0)
  
def prepare(level):
  level.add_mobile(arkanae3.game.MonsterRain())
  #arkanae3.game.Chest().prepare(level, 1, 3.5, 1.5, arkanae3.game.Club)
  #arkanae3.game.Ork().prepare(level, 0, 3.5, 3.5)
  #arkanae3.game.InvocateurLige().prepare(level, 2, 3.5, 3.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], discute_script = Discussion.to_script("0"))


import arkanae3.game
import arkanae3.base

#class Discussion(arkanae3.base.BaseDiscussion):
#  def discu_0(self):
#    self.set_text(_(u""""""))
#    self.add_option(_(u""))
    
#room.script_1_enter = Discussion.to_script(once = 1)

