# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  8,  8,  8,  8,  8,  8,  8,  8,  8,
  8,  8,  8,  8,  8,  8,  8,  8,  8,
  8,  8,  8,  0,  0,  0,  8,  8,  8,
  8,  0,  0,  0,  0,  0,  0,  0,  8,
  8,  0,  0,  0,  0,  0,  0,  0,  8,
  8, -1, -1, -1,  0,  0,  0,  0,  8,
  8,  8,  2,  8,  8,  8,  8,  8,  8,
  ],
  )

room.type = 0

room.visible_rooms = [(0, 0)]

#room.y_offset = -4.0
room.atmosphere = 8

def build(room_builder):
  room_builder.build_floor(["ferme_dalle1", "ferme_dalle3", "ferme_dalle3", "ferme_dalle4", "ferme_dalle1", "ferme_dalle3", "ferme_dalle1", "ferme_dalle1"], spcs = [])
  room_builder.build_wall ("ferme_mur", double_tex_x = 1)
  
def prepare(level):
  pass
  arkanae3.game.Vagabon().prepare(level, 2, 3.5, 2.5, items = [arkanae3.game.Staff()], discute_script = TezmaDiscussion.to_script("0"))
  arkanae3.game.Fountain().prepare(level, 5.5, 1.5)

import arkanae3.game



import arkanae3.base, arkanae3.game
class TezmaDiscussion(arkanae3.base.BaseDiscussion):
  def add_options(self):
    self.add_option(discu = "sage")
    self.add_option(discu = "cata")
    if self.hero.spcs.sait_sriss_veut_sceptre_akeron and self.hero.spcs.sait_tezma_sceptre:
      self.add_option(discu = "sceptre")
      
    self.add_option(discu = "qui")
    self.add_option(discu = "fin")
    
  def discu_0(self):
    self.set_text(_(u"""Sage Tezma : Bonjour, mon enfant."""))
    self.add_options()
    
  def discu_sage(self):
    u"""Qui êtes-vous ?"""
    self.set_text(_(u"""Sage Tezma : Je suis un vieil hermite. Avant la catastrophe, les gens venaient me consulter lorsqu'ils avaient des problèmes ou des questions existentielles."""))
    self.add_options()
    
  def discu_cata(self):
    u"""Que pensez-vous de la catastrophe ?"""
    self.set_text(_(u"""Sage Tezma : Seul Akéron avait le pouvoir de déclencher cette catastrophe. Il y a encore quelques jours, je faisais parti de ses fidèles défenseurs..."""))
    self.add_option()
    
  def discu_cata2(self):
    u"""Et à présent, que pensez-vous ?"""
    self.set_text(_(u"""Sage Tezma : Aujourd'hui ? Je ne sais pas... je n'aurais pas cru que la magie d'Akéron puisse conduire à une telle catastrophe ! Hommes, animaux, arbres, un quart du monde réduit à néant..."""))
    self.add_option()
    
  def discu_cata3(self):
    u"""Y a-t-il moyen de d'empêcher une nouvelle catastrophe ?"""
    self.hero.spcs.sait_tezma_sceptre = 1
    self.set_text(_(u"""Sage Tezma : Mon maître, Martel le Forgeron, a laissé un objet d'une grande puissance. Avec lui, un simple mortel peut défier les dieux. Actuellement, il est en sécurité au palais des Liges. Il pourrait bousculer les choses... en bien ou en mal. Mais il est encore trop tôt."""))
    self.add_options()
    
  def discu_sceptre(self):
    u"""L'objet puissant est-il un sceptre ?"""
    self.set_text(_(u"""Sage Tezma : Oui, il s'agit du sceptre d'Akéron... Comment le savez-vous ?"""))
    self.add_option()
    
  def discu_sceptre2(self):
    u"""Un sorcier Fide m'a demandé de le dérober."""
    self.set_text(_(u"""Sage Tezma : Hmmm... Peut-être est-il temps que le sceptre entre en jeu. Emparez-vous donc du sceptre... cependant, à votre place, j'éviterais d'utiliser le sceptre trop souvent. Et je me méfierais de ce sorcier !"""))
    self.add_options()
    
  def discu_qui(self):
    u"""Savez-vous qui je suis ?"""
    self.set_text(_(u"""Sage Tezma : Si vous ne le savez pas vous-même, comment le saurais-je ? Néanmoins, je devine que vous portez un lourd passé, et que vous n'étes pas encore prêt à l'affronter. Vous devrez cependant vous y confronter, ou vous le regretteriez."""))
    self.add_option()
    
  def discu_qui2(self):
    u"""Suite"""
    self.set_text(_(u"""Sage Tezma : Un dernier conseil : il y a une cascade pas loin d'ici. J'y ai dissimulé une potion magique, et je pense que vous en aurez grand besoin !"""))
    self.add_options()
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")

class Discussion(arkanae3.game.MonsterRainDiscussion):
  discu_bloc_1_enter = arkanae3.game.MonsterRainDiscussion.discu_abris
