# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  6,  6,  6,  6,  6,  6,  6,  6,
  4,  6,  6,  6,  0,  0,  6,  6,  6,
  4,  6,  6,  0,  0,  0,  0,  6,  6,
  2, -1,  0,  0,  0,  4,  0,  0,  6,
  4,  6,  0,  0,  0,  4,  0,  0,  6,
  4,  6,  0,  0,  4,  4,  4,  4,  6,
  6,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )


room.visible_rooms = [(-1, 1), (0, 1), (-1, 0), (0, 0), (1, 0)]


room.sprite_color = (200, 235, 255, 0.5)

room.y_offset = 0.0
room.atmosphere = 7

def build(room_builder):
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "algue_t1_t2", "algue_t2_t2", "algue", "algue_t1", "algue_t2", "algue")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
  room_builder.set_limits(z2 = 6.0)
  room_builder.build_water("eau_bleu_2", height = 3.0, extra_z = 1)
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("chute_deau"))
  b.set_xyz(-4.0, 3.0, 0.0)
  b = soya.Body(room_builder.room_world, soya.Model.get("chute_deau"))
  b.set_xyz(-4.0, 3.0, -3.0)
  
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(-2.0, 1.8, -2.0)
  
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(3.0, 1.8, -2.0)
  
  
def prepare(level):
  pass
  arkanae3.game.Chest().prepare(level, 1, 6.5, 2.5, arkanae3.game.MaxPotion(), open_script = Discussion.to_script())
  #arkanae3.game.Ork().prepare(level, 0, 3.5, 3.5)
  #arkanae3.game.InvocateurLige().prepare(level, 2, 3.5, 3.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], discute_script = Discussion.to_script("0"))


import arkanae3.game
import arkanae3.base

class Discussion(arkanae3.game.MonsterRainDiscussion):
  discu_bloc_1_enter = arkanae3.game.MonsterRainDiscussion.discu_abris
  
  def discu_0(self):
    self.play_sound("bonus.wav")
    self.set_text(_(u"""Une potion de pouvoir !"""))
    
