# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  8,  8,  8,  8,  8,  8,  8,  2,  8,
  8,  0,  0,  0,  0,  0,  0,  0,  8,
  8,  0,  0,  0,  0,  0,  0,  0,  8,
  8,  4,  4,  0,  0,  0,  0,  0,  8,
  2, -1,  4,  4,  0,  0,  0,  0,  8,
  8, -1, -1,  4,  0,  0,  0,  0,  8,
  8,  8,  8,  8,  8,  8,  8,  8,  8,
  ],
  )

room.type = 0

room.visible_rooms = [(0, 1), (-1, 0), (0, 0)]


#room.y_offset = -4.0
room.atmosphere = 8

def build(room_builder):
  room_builder.build_floor(["ferme_dalle1", "ferme_dalle3", "ferme_dalle3", "ferme_dalle4", "ferme_dalle1", "ferme_dalle3", "ferme_dalle1", "ferme_dalle1", "ferme_dalle2"], spcs = [])
  room_builder.build_wall ("ferme_mur", double_tex_x = 1)
  
  room_builder.set_limits(x1 = -3.5, z1 = -2.5, x2 = 3.5, z2 = 2.5)
  room_builder.build_terrain(["sol_sombre"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 6.5, 1.5, arkanae3.game.RobeDeVerre())
  arkanae3.game.Ork().prepare(level, 0, 6.5, 2.5, items = [arkanae3.game.Axe()])
  #arkanae3.game.InvocateurLige().prepare(level, 2, 3.5, 3.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], discute_script = Discussion.to_script("0"))



import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    if self.hero.spcs.miniquete_relique_sait_maison:
      self.set_text(_(u"""Des monstres ont pénétré jusqu'ici ! La robe n'est pas en sécurité..."""))
      self.hero.spcs.miniquete_relique_sait_monstres = 1
