# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  6,  2,  6,  6,  6,  6,
  6,  6,  0, -3, -3,  6,  6,  6,  6,
  6,  0,  0,  0, -3, -3,  6,  6,  6,
  6, -1,  0,  0,  0, -2, -2,  6,  6,
  2, -1,  0,  0,  0, -2, -2,  6,  6,
  4,  4,  0,  4,  0, -2, -2,  4,  6,
  4,  4,  4,  4,  4,  4,  4,  4,  6,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 0, 5.5, 1.5, arkanae3.game.Club(), open_script = Discussion.to_script("2"))


import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.base.BaseChest) and mobile.opened: return
    self.set_text(_(u"""Le ressac a déposé un coffre sur la côte. Il contient peut-être un objet utile ?"""))
    
  def discu_bloc_2_enter(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.base.BaseChest) and mobile.opened: return
    self.set_text(_(u"""Pour ouvrir le coffre, tapez dessus en appuyant sur shift, ou bien en cliquant dessus avec la souris."""))
    
  def discu_2(self):
    self.set_text(_(u"""Bravo ! Vous avez trouvé le gourdin !"""))
    self.add_option(_(u"Suite"))
    
  def discu_3(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.base.BaseItemOnGround):
        mobile.grab_script = Discussion.to_script("4")
    self.set_text(_(u"""Pour le ramasser, approchez-vous et appuyez sur la touche shift, ou bien cliquez dessus."""))
    
  def discu_4(self):
    self.set_text(_(u"""Pour équiper le gourdin, appuyez sur entrée pour passer dans l'inventaire et validez avec shift, ou cliquez sur le gourdin. Puis choisissez "équiper"."""))
    
  def discu_bloc_3_enter(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.base.BaseChest) and (not mobile.opened): return
    self.set_text(_(u"""Il y a un passage au fond..."""))

