# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  4,  4,  4,  6,  6,  6,
  6,  6, -1, -1, -1,  4,  4,  6,  6,
  6, -1, -1, -1, -1, -1,  4,  4,  6,
  6, -1, -1, -1, -1, -1,  4,  4,  6,
  6, -1, -1, -1,  1, -1, -1,  4,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

room.y_offset = -4.0

room.sprite_color = (50, 200, 255, 0.4)

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 3.5, 3.5, arkanae3.game.ManaPotion())
  #arkanae3.game.Ork().prepare(level, 2, 3.5, 3.5)
  #arkanae3.game.InvocateurLige().prepare(level, 2, 3.5, 3.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], discute_script = Discussion.to_script("0"))



import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    self.set_text(_(u"""Un trésor a été entreposé dans cette cachette secrète !"""))
    self.play_sound("bonus.wav")
    

