# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  4,  4,  7, -1, -1, -1,  7,  4,  4,
  4,  7, -1, -1, -1, -1, -1,  4,  4,
  4,  7, -1, -1, -1, -1, -1,  3,  2,
  4,  7, -1, -1, -1, -1, -1,  4,  4,
  4,  4, -1, -1, -1, -1, -1,  4,  4,
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

#room.y_offset = -4.0
room.atmosphere = 3

room.sprite_color = (255, 255, 255, 0.3)

def build(room_builder):
  room_builder.build_water("eau_bleu")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")

  room_builder.build_whole_floor("rock")
  
  room_builder.set_limits(x2 = 3.0)
  room_builder.build_floor("marbre", spcs = [])
  room_builder.build_whole_wall("marbre_t1")
  
  room_builder.set_limits(x1 = 3.0)
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_wall ()
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(-1.9, 0.0, -1.9)
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz( 1.9, 0.0, -1.9)
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(-2.9, 0.0, -0.9)
  b.rotate_lateral(90.0)
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne_brise"))
  b.set_xyz(-2.9, 0.0,  0.9)
  b.rotate_lateral(90.0)
  
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(3.65, -0.0, -1.5)
  b.rotate_vertical(95.0)
  b.rotate_lateral(-15.0)
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 3.5, 4.5, arkanae3.game.MaxPotion(), open_script = Discussion.to_script())
  #arkanae3.game.Ork().prepare(level, 2, 3.5, 3.5)
  #arkanae3.game.InvocateurLige().prepare(level, 2, 3.5, 3.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], discute_script = Discussion.to_script("0"))

import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_0(self):
    self.set_text(_(u"""Une potion de pouvoir ! Elle va vous permettre d'augmenter vos pouvoirs magiques ! Après l'avoir bue, pensez à retourner à la fontaine..."""))
    
  def discu_bloc_1_enter(self):
    self.set_text(_(u"""Le temple a été ravagé par la catastrophe. Heureusement, il semble qu'un coffre ait survécu..."""))
