# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  2, -1,  0,  0,  0,  0,  0,  6,  6,
  4, -1,  0,  0,  0,  0,  0,  0,  6,
  4,  4,  0,  0,  0,  0,  0,  0,  6,
  4,  4,  0,  0,  0,  0,  0,  0,  6,
  4,  4,  4,  0,  0,  0,  0,  0,  6,
  6,  4,  4,  4,  2,  2,  2,  6,  6,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Ork  ().prepare(level, 0, 5.5, 1.5, die_script = Discussion.to_script("2"))
  
import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.game.Ork) and mobile.life:
        self.set_text(_(u"""Ce monstre vert semble tout droit sorti de la mer... et il ne semble pas vouloir vous laisser passer ! Pour le combattre, utilisez la touche shift ou bien cliquez sur le monstre."""))
        self.add_option(_(u"Suite"))
        break
      
  def discu_bloc_1_enter2(self):
    self.set_text(u"")
    
  def discu_2(self):
    self.set_text(_(u"""Bravo ! Vous l'avez vaincu !"""))
    self.add_option(_(u"Suite"))
    
  def discu_3(self):
    self.set_text(_(u"""Vous ne savez toujours pas qui vous êtes, mais vous venez d'apprendre une chose : le maniement des armes ne vous était pas inconnu..."""))
    
