# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  2,  2,  2,  4,  4,  4,  2,  6,
  6,  7,  0,  0,  4,  4,  4,  0,  6,
  6,  6,  0,  0,  4,  4,  4,  0,  6,
  6,  6,  0,  4,  4,  4,  0,  0,  6,
  6, -1, -1,  4,  4,  0,  0,  0,  6,
  2, -1, -1,  4,  4,  4,  0,  0,  2,
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 5.3, 2.5, arkanae3.game.Knife())
  #arkanae3.game.Ork().prepare(level, 2, 3.5, 3.5)


import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    self.set_text(_(u"""Pour faire apparaître le menu principal, appuyez sur échap, sur le bouton 3 du joystick ou cliquez sur le logo 'Arkanae III' en haut à gauche."""))
    self.add_option()
    
  def discu_bloc_1_enter2(self):
    u"Suite"
    self.set_text(_(u"""Ce menu vous permet de sauvegarder, de recharger ou de quitter le jeu. N'hésitez pas à sauvegarder régulièrement !"""))

