# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  0,  0,  0,  0,  0,  0,  0,  2,
  2,  0,  0,  0,  0, -1, -1, -1,  4,
  2,  0,  0,  4,  4,  4, -1,  4,  4,
  2,  0,  4,  4,  4,  4,  4,  4,  4,
  6,  0,  4,  4,  4,  4,  4,  4,  4,
  6,  2,  2,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  
def prepare(level):
  import arkanae3.game
  if arkanae3.base.UNIVERSE_DATA.states.chapitre <= 1:
    arkanae3.game.InvocateurLige().prepare(level, 2, 5.5, 2.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], faction = 0, discute_script = Discussion.to_script("0"))
    

import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    if arkanae3.base.UNIVERSE_DATA.states.chapitre <= 1:
      self.set_text(_(u"""Il y a un drôle de personnage ; appuyez sur shift pour discuter avec lui, ou cliquez dessus."""))
      
  def add_options(self):
    self.add_option(discu = "bonjour")
    self.add_option(discu = "tete")
    self.add_option(discu = "qui")
    self.add_option(discu = "fin")
    
  def discu_0(self):
    self.set_text(_(u"""Ghelled : Mais pourquoi ? Pourquoi tout ce gâchis ? Oui pourquoi..."""))
    self.add_options()
    
  def discu_tete(self):
    u"""Pourquoi avez-vous une tête de renard ?"""
    self.set_text(_(u"""Ghelled : Quelle drôle de question... mais parce que je suis un Lige, un homme de l'est !"""))
    self.add_options()
    
  def discu_bonjour(self):
    u"Heu... bonjour ?"
    self.set_text(_(u"""Ghelled : Oh, excusez-moi... Bonjour. Je me lamentais sur la catastrophe. Presqu'un quart du monde a été ravagé... Pourquoi a-t-il fait cela ?"""))
    self.add_option()
    
  def discu_bonjour2(self):
    u"Vous savez qui a fait cela ?"
    self.set_text(_(u"""Ghelled : Il n'y a qu'un seul être qui détienne un tel pouvoir... et c'est Akéron, le dieu unique."""))
    self.add_options()
   
  def discu_qui(self):
    u"Savez-vous qui je suis ?"
    self.set_text(_(u"""Ghelled : Hmm, non. Il ne me semble pas vous avoir déjà rencontré. Vous êtes un rescapé de la catastrophe ? Pouvez-vous me la décrire en détails ?"""))
    self.add_option()
    
  def discu_qui2(self):
    u"Je ne me souviens de rien."
    self.set_text(_(u"""Ghelled : Quel dommage... Sans doute êtes-vous encore sous le choc. Vous devriez vous rendre au camp des réfugiés à l'est."""))
    self.add_options()
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")
