# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  7,  7,  4,  4,  4,  4,  0,  0,  4,
  2,  0,  4,  0,  0,  0,  0,  0,  4,
  2,  0,  4,  0,  0,  0,  0,  1,  4,
  2,  0,  4,  0,  0,  0,  0,  0,  4,
  4,  0,  0,  0,  0,  0,  0,  4,  4,
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

#room.y_offset = -4.0

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("colonne"))
  b.set_xyz(-3.5, 0.0, -1.7)
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 6.0, 4.5, arkanae3.game.LifePotion())
  arkanae3.game.ChevalierEchassien().prepare(level, 2, 1.5, 0.5, items = [arkanae3.game.Knife()], faction = 0, discute_script = Discussion.to_script("0"), angle = 270.0, life = 1.6)



import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_0(self):
    self.set_text(_(u"""Chevalier : Que faire, maintenant ? Que faire ? Abandonner ? Ou poursuivre..."""))
    self.add_option(discu = "tete")
    self.add_option(discu = "suite")
    self.add_option(discu = "fin")
    
  def discu_tete(self):
    u"Pourquoi avez-vous une tête d'oiseau ?"
    self.set_text(_(u"""Chevalier : Ma tête ? Mais je suis un échassien ! Et c'est pour cela que j'ai agi... Poursuivre ?"""))
    self.add_option(discu = "suite")
    self.add_option(discu = "fin")
    
  def discu_suite(self):
    u"Vous vous sentez bien ?"
    self.set_text(_(u"""Chevalier : Oui, il faut continuer... Taper... aller jusqu'au bout. Taper. Taper !
Ce chevalier semble avoir perdu ces esprits !"""))
    self.add_option()
    
  def discu_suite2(self):
    u"Suite"
    self.set_text(u"")
    self.npc.faction = 4
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")
