# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  2,  2,  4,  4,  4,  4,  4,  4,
  6, -1, -1, -1,  4,  0,  6,  4,  4,
  6,  0,  0,  0,  4,  0,  0,  6,  4,
  6,  0,  0,  0,  0,  0,  0,  0,  4,
  6,  0,  0,  0,  0,  0,  0,  0,  4,
  4,  4,  0,  0,  0,  0,  0,  0,  4,
  6,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
def prepare(level):
  import arkanae3.game
  arkanae3.game.Chest().prepare(level, 1, 6.5, 1.5, arkanae3.game.LifePotion())
  arkanae3.game.Ork().prepare(level, 2, 3.5, 0.5, endurance = 4, strength = 3, items = [arkanae3.game.Knife()])


import arkanae3.base, arkanae3.game
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    for mobile in self.hero.level.mobiles:
      if isinstance(mobile, arkanae3.game.Ork):
        self.set_text(_(u"""Ce monstre semble particulièrement grand et féroce. Peut-être vaudrait-t-il mieux le laisser tranquille ?"""))
        break
