# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  4,  4,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  0,  6,  6,  6,  6,  6,
  6,  6,  0,  0,  0,  6,  0,  0,  6,
  6,  0,  0,  0,  0,  6,  0,  0,  6,
  2,  0,  0,  0,  0,  0,  0,  0,  2,
  2,  0,  0,  4,  4,  6,  0,  0,  6,
  4,  4,  4,  4,  4,  4,  4,  4,  4,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

#room.y_offset = -4.0
room.atmosphere = 2

def build(room_builder):
  room_builder.build_water("eau_bleu")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  room_builder.build_terrain(["grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_4"], "grass_t1_t2", "grass_t2_t2", "sol_bis", "grass4_t1", "grass4_t2", "grass4")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
def prepare(level):
  if arkanae3.base.UNIVERSE_DATA.states.chapitre == 1:
    arkanae3.game.InvocateurLige().prepare(level, 1, 4.5, 1.5, items = [arkanae3.game.Staff(), arkanae3.game.Robe()], faction = 0, discute_script = Discussion.to_script("0"))
    
    
import arkanae3.base, arkanae3.game
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_0(self):
    if self.hero.spcs.chapitre == 1:
      self.set_text(_(u"""Ghelled : Vous voici enfin arrivé au camp des réfugiés. En tant que chef du camp, je vous souhaite la bienvenue !"""))
      self.add_option()
    else:
      self.set_text(_(u"""Ghelled : Entrez vite vous réchauffer au camp ! Je vous y rejoindrai."""))
      
  def discu_1(self):
    u"""Merci."""
    self.set_text(_(u"""Ghelled : Cependant, il y a beaucoup à faire au camp, et vous devrez nous aider si vous voulez avoir l'espoir que nous puissions quitter cette région dévastée."""))
    self.add_option()
    
  def discu_2(self):
    u"Je ferai mon possible."
    self.set_text(_(u"""Ghelled : Bien... A ce propos, quelles sont vos compétences ?"""))
    self.add_option(_(u"Je sais me battre."), "guerrier")
    self.add_option(_(u"Je sais lancer des sorts."), "mage")
    self.add_option(_(u"Je sais faire d'autres choses, plus... secrètes..."), "traitre")
    
  def discu_guerrier(self):
    self.set_text(_(u"""Ghelled : Vous êtes donc un guerrier ?"""))
    self.add_option(_(u"Oui, c'est cela !"))
    self.add_option(_(u"Non, je me suis mal fait comprendre..."), "revenez")
    
  def discu_guerrier2(self):
    self.set_text(_(u"""Vous êtes le guerrier ! Votre force a augmenté, et vous pouvez utiliser les armes et armures les plus lourdes !"""))
    self.add_option(_(u"Super !"), "suite")
    self.hero.strength += 1
    self.hero.max_item_weight = 3
    self.hero.set_model_name("guerrier")
    self.hero.calc_stats()
    
  def discu_mage(self):
    self.set_text(_(u"""Ghelled : Vous êtes donc un mage ?"""))
    self.add_option(_(u"Oui, c'est exact !"))
    self.add_option(_(u"Non, je me suis mal fait comprendre..."), "revenez")
    
  def discu_mage2(self):
    self.set_text(_(u"""Vous êtes le mage ! Vous pouvez lancer le Wiz d'éclair !"""))
    self.add_option(_(u"Super !"), "suite")
    self.hero.set_model_name("mage")
    self.hero.gain(arkanae3.game.LighteningWiz())
    self.hero.calc_stats()
    
  def discu_traitre(self):
    self.set_text(_(u"""Ghelled : Vous êtes donc un traître ?"""))
    self.add_option(_(u"Oui, on peut dire cela..."))
    self.add_option(_(u"Non, je me suis mal fait comprendre..."), "revenez")
    
  def discu_traitre2(self):
    self.set_text(_(u"""Vous êtes le traître ! Vous pouvez vous glisser silencieusement dans le dos de vos ennemis, et vous pouvez utiliser des armes et armures moyennes !"""))
    self.add_option(_(u"Super !"), "suite")
    self.hero.max_item_weight = 2
    self.hero.flag |= arkanae3.base.FLAG_TRAITOR
    self.hero.set_model_name("traite")
    self.hero.calc_stats()
    
  def discu_suite(self):
    self.set_text(u"Ghelled : Bien ! Discutez avec les réfugiés, et vous verrez qu'ils ont bien besoin d'aide. Aidez trois d'entre eux, et cela devrait débloquer la situation !")
    self.add_option(_(u"D'accord."))
    
  def discu_suite2(self):
    self.set_text(_(u"""    Arkanae III - Chapitre 2 : le réfugié"""))
    self.hero.spcs.chapitre = 2
    if arkanae3.base.UNIVERSE_DATA.states.chapitre < 2:
      arkanae3.base.UNIVERSE_DATA.states.chapitre = 2
    self.npc.goto(6.5, 3.5)
    self.add_option(_(u"Suite"))
    
  def discu_suite3(self):
    self.set_text(u"")
    
  def discu_revenez(self):
    self.set_text(u"Ghelled : Alors revenez quand vous vous serez décidé.")
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")
