# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  7,  7,  0,  6,  6,  6,
  6,  6,  0,  7,  7,  0,  0,  0,  6,
  6, -1,  0,  0,  7,  0,  0,  1,  6,
  2, -1,  0,  0,  0,  0,  0,  0,  6,
  6, -1,  0,  0,  0,  0,  0,  6,  6,
  4,  2,  2,  2,  2,  6,  6,  6,  6,
  ],
  )

room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]

#room.y_offset = -4.0
room.atmosphere = 2

def build(room_builder):
  room_builder.build_water("eau_bleu")
  room_builder.build_terrain(["grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_4"], "grass_t1_t2", "grass_t2_t2", "sol_bis", "grass4_t1", "grass4_t2", "grass4")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
  import soya
  b = soya.Body(room_builder.room_world, soya.Model.get("camp3"))
  b.set_xyz(-0.5, 0.0, -1.5)
  b.rotate_lateral(90.0)
  
  b = soya.Body(room_builder.room_world, soya.Model.get("tabouret"))
  b.set_xyz(0.0, 0.0, 0.0)
  
def prepare(level):
  import arkanae3.game
  #arkanae3.game.Chest().prepare(level, 1, 3.5, 1.5, arkanae3.game.Club)
  #arkanae3.game.Ork().prepare(level, 0, 3.5, 3.5)
  arkanae3.game.Vagabon().prepare(level, 2, 2.5, 2.5, discute_script = Discussion.to_script("1"))



import arkanae3.base
class Discussion(arkanae3.base.BaseDiscussion):
  def discu_bloc_1_enter(self):
    self.set_text(_(u"""Le campement des réfugiés est misérable, mais c'est déjà mieux que rien !"""))
    
  def add_options(self):
    self.add_option(discu = "memoire")
    self.add_option(discu = "qui")
    self.add_option(discu = "quete")
    self.add_option(discu = "fin")
    
  def discu_1(self):
    self.set_text(_(u"""Darco : Psst !"""))
    self.add_options()
    
  def discu_memoire(self):
    u"""Vous avez aussi perdu la mémoire ?"""
    self.set_text(_(u"""Darco : Non, non... mais je préfère dissimuler mon visage derrière une capuche."""))
    self.add_options()
    
  def discu_qui(self):
    u"""M'avez-vous déjà rencontré ?"""
    self.set_text(_(u"""Darco : Votre voix me dit quelque chose... Je l'ai déjà entendue... Mais je ne pourrais pas vous en dire plus sans voir votre visage !"""))
    self.add_option()
    self.add_options()
    
  def discu_qui2(self):
    u"""(Retirer votre capuchon)"""
    self.set_text(_(u"""Votre bras se lève puis se fige en l'air. Vous sentez que nous n'êtes pas encore prêt à affronter la réalité, quelle qu'elle soit."""))
    self.add_options()
    
  def discu_quete(self):
    u"""Avez-vous besoin de mes services ?"""
    self.set_text(_(u"""Darco : Non. Je ne suis qu'un observateur ; de grands événements se sont déjà produits, et d'autres pourraient venir... En revanche, voici un conseil : vous devriez aller rendre visite à sage Tezma, que vous trouverez au nord-est."""))
    self.add_options()
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")

