# -*- coding: utf-8 -*-
# Arkanae III
# Copyright (C) 2008-2009 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from arkanae3.rooms import Room

room = Room([
  6,  6,  6,  2,  6,  6,  6,  6,  6,
  6,  6,  6, -1,  6,  6,  0,  6,  6,
  6,  6,  0,  0,  6,  0,  0,  0,  6,
  6,  0,  0,  0,  0,  0,  0,  0,  6,
  6,  0,  0,  0,  0,  0,  0,  0,  6,
  6,  6,  0,  0,  0,  0,  0,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,
  ],
  )


room.visible_rooms = [(-1, 1), (0, 1), (1, 1), (-1, 0), (0, 0), (1, 0), (0, -1)]


#room.y_offset = -4.0
room.atmosphere = 7

def build(room_builder):
  room_builder.build_water("eau_bleu")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "rock_t1_t2", "rock_t2_t2", "sol_bis", "rock_t1", "rock_t2", "rock")
  #room_builder.build_terrain(["sol", "sol_bis", "sol_bis"], "algue_t1_t2", "algue_t2_t2", "algue", "algue_t1", "algue_t2", "algue")
  room_builder.build_terrain(["grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_1", "grass7_2", "grass7_3", "grass7_4"], "grass_t1_t2", "grass_t2_t2", "sol_bis", "grass4_t1", "grass4_t2", "grass4")
  #room_builder.build_floor("pentacle3")
  #room_builder.build_wall ()
  
def prepare(level):
  if not arkanae3.base.UNIVERSE_DATA.states.reneg_couic:
    #arkanae3.game.Chest().prepare(level, 1, 5.5, 4.5, arkanae3.game.KeyBunch([u"__Clef1__"]))
    arkanae3.game.ChevalierEchassien().prepare(level, 2, 3.5, 0.5, items = [arkanae3.game.Axe(), arkanae3.game.CotteDeMaille()], faction = 0, discute_script = Discussion.to_script("0"), angle = 270.0, bonus = arkanae3.game.KeyBunch([u"__Clef1__"]), die_script = Discussion.to_script("couic"))
    
    
import arkanae3.game
import arkanae3.base

class Discussion(arkanae3.base.BaseDiscussion):
  def add_options(self):
    self.add_option(discu = "fait")
    if 0 < self.hero.spcs.miniquete_relique < 10:
      self.add_option(discu = "relique")
    self.add_option(discu = "fin")
    if 0 < self.hero.spcs.miniquete_relique < 4:
      self.add_option(discu = "baston")
    else:
      self.add_option(discu = "baston0")
    
  def discu_0(self):
    self.set_text(_(u"""Reneg : Qu'avons-nous fait ? Mais qu'avons-nous fait ?"""))
    self.add_options()
    
  def discu_fait(self):
    u"Oui, qu'avez-vous fait ?"
    self.set_text(_(u"""Reneg : ...et maintenant le quart du monde est détruit... par notre faute..."""))
    self.add_options()
    
  def discu_relique(self):
    u"Savez-vous où est la robe de verre ?"
    self.set_text(_(u"""Reneg : Elle est en sûreté, ne vous inquiétez pas. Je l'ai cachée dans une maison abandonnée dont j'ai emporté la clef."""))
    self.hero.spcs.miniquete_relique_sait_maison = 1
    self.add_option()
    if self.hero.spcs.miniquete_relique == 3:
      self.add_option(discu = "relique3")
    if self.hero.spcs.miniquete_nego_papier_sriss == 1:
      self.add_option(discu = "relique4")
    if self.hero.spcs.miniquete_relique_sait_monstres == 1:
      self.add_option(discu = "relique5")
      
  def discu_relique2(self):
    u"Hiboul en a besoin pour venir en aide aux réfugiés."
    self.set_text(_(u"""Reneg : Je ne sais pas... Je n'ai plus confiance en lui. J'ai perdu la foi... et tant que je n'y verrai pas plus clair, je garde la robe."""))
    self.hero.spcs.miniquete_relique = max(2, self.hero.spcs.miniquete_relique)
    self.add_options()
    
  def discu_relique3(self):
    u"Les voies d'Akéron sont impénétrables..."
    self.set_text(_(u"""Reneg : C'est du baratin de prêtre ! Et vous croyiez vraiment que vous alliez me convaincre avec ça ?"""))
    self.add_options()
    
  def discu_relique4(self):
    u"Les Fides s'apprêtaient à attaquer la cathédrale ! La catastrophe était nécessaire pour les arrêter !"
    self.set_text(_(u"""Reneg : Sans doute avez-vous raison... J'ai caché la robe de verre dans une maison en ruine ; voici la clef. Quant à moi, je vais méditer encore un peu..."""))
    self.hero.spcs.miniquete_relique = max(4, self.hero.spcs.miniquete_relique)
    self.npc.add_item(arkanae3.game.KeyBunch([u"__Clef1__"]))
    self.npc.drop(self.npc.items[-1])
    self.add_options()
    
  def discu_relique5(self):
    u"La robe n'est pas en sécurité !"
    self.set_text(_(u"""Reneg : Décidément ils ne respectent rien... Tenez, prenez cette clef et récupérer la robe au plus vite !"""))
    self.hero.spcs.miniquete_relique = max(4, self.hero.spcs.miniquete_relique)
    self.npc.add_item(arkanae3.game.KeyBunch([u"__Clef1__"]))
    self.npc.drop(self.npc.items[-1])
    self.add_options()
    
  def discu_baston(self):
    u"Vous êtes un chevalier renégat ! Rendez-moi la robe ! En garde !"
    self.set_text(u"")
    self.npc.faction = 4
    
  def discu_baston0(self):
    u"Vous êtes un chevalier renégat ! En garde !"
    self.set_text(u"")
    self.npc.faction = 4
    
  def discu_fin(self):
    u"Au revoir."
    self.set_text(u"")
    
  def discu_couic(self):
    arkanae3.base.UNIVERSE_DATA.states.reneg_couic = 1

room.script_1_enter = arkanae3.game.MonsterRainDiscussion.to_script("abris", once = 1)
